import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function list供应商管理(query) {
  return request({
    url: '/system/供应商管理/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function get供应商管理(供应商编码) {
  return request({
    url: '/system/供应商管理/' + 供应商编码,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function add供应商管理(data) {
  return request({
    url: '/system/供应商管理',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function update供应商管理(data) {
  return request({
    url: '/system/供应商管理',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function del供应商管理(供应商编码) {
  return request({
    url: '/system/供应商管理/' + 供应商编码,
    method: 'delete'
  })
}
